-- Bug:    Incorrectly unfolds (/\) before reaching the plugin.
-- Status: Fixed.
--	   The problem was the recursive unfolding of arguments in
--	   applications. (==>) have to be unfolded for the lambda
--	   to make sense, but that should not unfold the (/\). The
--	   pattern matching function will unfold if necessary.

-- # import Property

P : Prop
Q : Prop

bug : P ==> Q ==> P /\ Q
bug = fol-plugin()

